Bug 1300627 - built without docs
built without docs
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libdatrie (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peng Wu
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-21 05:08 EST by Dan Horák
Modified: 2016-04-08 13:00 EDT (History)
3 users (show)

See Also:
Fixed In Version: libdatrie-0.2.9-3.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-08 13:00:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Horák 2016-01-21 05:08:03 EST
libdatrie is built without docs because of
...
checking for doxygen... doxygen
checking doxygen >= 1.8.8... 1.8.10, no, documentation disabled
...
in build.log

Version-Release number of selected component (if applicable):
libdatrie-0.2.9-1.fc24
Comment 1 Dan Horák 2016-01-21 05:21:28 EST
from configure.ac

if test "x$enable_doxygen_doc" = "xyes"; then
  AC_CHECK_PROG(DOXYGEN,doxygen,doxygen,no)
  if test "x$DOXYGEN" = "xno"; then
    enable_doxygen_doc="no"
  else
    AC_MSG_CHECKING([doxygen >= $DOXYGEN_REQ_VER])
    DOXYGEN_VER=$($DOXYGEN --version)
    if expr $DOXYGEN_VER \< $DOXYGEN_REQ_VER > /dev/null; then
      AC_MSG_RESULT([$DOXYGEN_VER, no, documentation disabled])
      enable_doxygen_doc="no"
    else
      AC_MSG_RESULT([$DOXYGEN_VER, yes])
    fi
  fi
fi

using a numerical comparison with expr is simply wrong ...
Comment 2 Jan Kurik 2016-02-24 09:18:43 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 3 Fedora Admin XMLRPC Client 2016-02-26 12:44:19 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Admin XMLRPC Client 2016-02-28 22:19:33 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Update System 2016-04-06 03:47:28 EDT
libdatrie-0.2.9-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-52930e52f6
Comment 6 Fedora Update System 2016-04-06 13:53:23 EDT
libdatrie-0.2.9-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-52930e52f6
Comment 7 Fedora Update System 2016-04-08 13:00:24 EDT
libdatrie-0.2.9-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.